Логин:
Пароль:

Включение PHP 4, 5.2, 5.3 в режиме CGI

На нашем хостинге с поддержкой PHP по умолчанию установлена версия PHP 5.3 в режиме модуля Apache, но существует возможность использования данной версии в режиме CGI, а также иных версий PHP, таких как: 4.4, 5.2, 5.4 и т.д.

Для использования этого режима мы написали инструкцию по его подключению, которую Вы найдете на данной странице. Инструкция написана на примере версии 5.2 (далее PHP 5.2-CGI). Включение режима для других версий производится через изменение обработчика (в нижеследующих записях это: x-httpd-php53).

Обработчики для различных версий:

  • PHP 4.4: x-httpd-php4
  • PHP 5.2: x-httpd-php5
  • PHP 5.3: x-httpd-php53
  • PHP 5.4: x-httpd-php54
  • PHP 5.5: x-httpd-php55
  • PHP 5.6: x-httpd-php56
  • PHP 7: x-httpd-php7

Для работы CGI-версий PHP не удаляйте служебные директории php4-bin, php52-bin, php53-bin и т.п. в ./domains/Ваш_домен/

Включение режима PHP 5.2 CGI для отдельной директории производится через модификацию файла .htaccess (если он не создан, то создайте), находящегося в этой директории. При этом для включения режима достаточно указать строку: AddHandler x-httpd-php52 .php
Для отключения просто сотрите эту строку.

Включение режима PHP 5.2 CGI для всего сайта производится через DirectAdmin. Для этого следует войти в DirectAdmin и выбрать домен (если их несколько).

Выбор домена в панели DirectAdmin

Теперь перейдите в Дополнительные настройки -> Обработчик Apache.

Переход в обработчики Apache в панели DirectAdmin

Введите обработчик, в данном случае x-httpd-php52, и расширение .php, после чего нажмите на кнопку [Добавить]

Указание версии PHP в обработчиках Apache через DirectAdmin

Для отключения режима PHP 5.2 CGI на той же странице отметьте строку с обработчиком и расширением и нажмите на [Delete Handler].

Сброс версии PHP в обработчиках Apache через DirectAdmin